class ChangeDonationAmountsAndCurrency < ActiveRecord::Migration[7.1]
  def change
    rename_column :donations, :amount_usd, :fiat_amount
    add_column :donations, :fiat_currency, :string, default: "USD"
    remove_column :donations, :amount_eur, :integer

    Donation.update_all(fiat_currency: 'USD')
  end
end
